Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.ser.std
Class StdArraySerializers.ShortArraySerializer

    java.lang.Object
      com.fasterxml.jackson.databind.JsonSerializer<T>
          com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
              com.fasterxml.jackson.databind.ser.ContainerSerializer<T>
                  com.fasterxml.jackson.databind.ser.std.ArraySerializerBase<T>
                      com.fasterxml.jackson.databind.ser.std.StdArraySerializers.TypedPrimitiveArraySerializer<short[]>
                          com.fasterxml.jackson.databind.ser.std.StdArraySerializers.ShortArraySerializer

All Implemented Interfaces:
  SchemaAware

Enclosing class:
  StdArraySerializers

    public static final class StdArraySerializers.ShortArraySerializer

extends StdArraySerializers.TypedPrimitiveArraySerializer<short[]>

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer
`JsonSerializer.None`

Field Summary

Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdArraySerializers.TypedPrimitiveArraySerializer
`_valueTypeSerializer`

Fields inherited from class com.fasterxml.jackson.databind.ser.std.ArraySerializerBase
`_property`

Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`_handledType`

Constructor Summary
`StdArraySerializers.ShortArraySerializer()`
`StdArraySerializers.ShortArraySerializer(StdArraySerializers.ShortArraySerializer src, BeanProperty prop, TypeSerializer vts)`

Method Summary
`ContainerSerializer<?>` | `_withValueTypeSerializer(TypeSerializer vts)` Method that needs to be implemented to allow construction of a new serializer object with given `TypeSerializer`, used when addition type information is to be embedded.
`JsonSerializer<?>` | `getContentSerializer()` Accessor for serializer used for serializing contents (List and array elements, Map values etc) of the container for which this serializer is used, if it is known statically.
`JavaType` | `getContentType()` Accessor for finding declared (static) element type for type this serializer is used for.
`JsonNode` | `getSchema(SerializerProvider provider, Type typeHint)` Default implementation simply claims type is "string"; usually overriden by custom serializers.
`boolean` | `hasSingleElement(short[] value)` Method called to determine if the given value (of type handled by this serializer) contains exactly one element.
`boolean` | `isEmpty(short[] value)` Method called to check whether given serializable value is considered "empty" value (for purposes of suppressing serialization of empty values).
`void` | `serializeContents(short[] value, com.fasterxml.jackson.core.JsonGenerator jgen, SerializerProvider provider)`

Methods inherited from class com.fasterxml.jackson.databind.ser.std.ArraySerializerBase
`serialize, serializeWithType`

Methods inherited from class com.fasterxml.jackson.databind.ser.ContainerSerializer
`withValueTypeSerializer`

Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`createObjectNode, createSchemaNode, createSchemaNode, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow`

Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer
`isUnwrappingSerializer, unwrappingSerializer, usesObjectId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StdArraySerializers.ShortArraySerializer

    public StdArraySerializers.ShortArraySerializer()

### StdArraySerializers.ShortArraySerializer

    public StdArraySerializers.ShortArraySerializer(StdArraySerializers.ShortArraySerializer src,
                                                    BeanProperty prop,
                                                    TypeSerializer vts)

Method Detail

### _withValueTypeSerializer

    public ContainerSerializer<?> _withValueTypeSerializer(TypeSerializer vts)

  Description copied from class: `ContainerSerializer`
  Method that needs to be implemented to allow construction of a new serializer object with given `TypeSerializer`, used when addition type information is to be embedded.

  Specified by:
    `_withValueTypeSerializer` in class `ContainerSerializer<short[]>`

### getContentType

    public JavaType getContentType()

  Description copied from class: `ContainerSerializer`
  Accessor for finding declared (static) element type for type this serializer is used for.

  Specified by:
    `getContentType` in class `ContainerSerializer<short[]>`

### getContentSerializer

    public JsonSerializer<?> getContentSerializer()

  Description copied from class: `ContainerSerializer`
  Accessor for serializer used for serializing contents (List and array elements, Map values etc) of the container for which this serializer is used, if it is known statically. Note that for dynamic types this may return null; if so, caller has to instead use `ContainerSerializer.getContentType()` and `SerializerProvider.findValueSerializer(java.lang.Class, com.fasterxml.jackson.databind.BeanProperty)`.

  Specified by:
    `getContentSerializer` in class `ContainerSerializer<short[]>`

### isEmpty

    public boolean isEmpty(short[] value)

  Description copied from class: `JsonSerializer`
  Method called to check whether given serializable value is considered "empty" value (for purposes of suppressing serialization of empty values).

  Default implementation will consider only null values to be empty.

  Specified by:
    `isEmpty` in class `ContainerSerializer<short[]>`

### hasSingleElement

    public boolean hasSingleElement(short[] value)

  Description copied from class: `ContainerSerializer`
  Method called to determine if the given value (of type handled by this serializer) contains exactly one element.

  Note: although it might seem sensible to instead define something like "getElementCount()" method, this would not work well for containers that do not keep track of size (like linked lists may not).

  Specified by:
    `hasSingleElement` in class `ContainerSerializer<short[]>`

### serializeContents

    public void serializeContents(short[] value,
                                  com.fasterxml.jackson.core.JsonGenerator jgen,
                                  SerializerProvider provider)
                           throws IOException,
                                  com.fasterxml.jackson.core.JsonGenerationException

  Specified by:
    `serializeContents` in class `ArraySerializerBase<short[]>`
  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonGenerationException`

### getSchema

    public JsonNode getSchema(SerializerProvider provider,
                              Type typeHint)

  Description copied from class: `StdSerializer`
  Default implementation simply claims type is "string"; usually overriden by custom serializers.

  Specified by:
    `getSchema` in interface `SchemaAware`
  Overrides:
    `getSchema` in class `StdSerializer<short[]>`
  Parameters:
    `provider` - The serializer provider.
    `typeHint` - A hint about the type.
  Returns:
    Json-schema for this serializer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.